> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphractal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# timeframes

> Retrieve OHLCV Metadata data for /spot/timeframes.



## OpenAPI

````yaml /api-reference/openapi.json get /spot/timeframes
openapi: 3.1.1
info:
  title: Alphractal API
  version: 0.3.0
  description: >-
    Alphractal API provides comprehensive cryptocurrency on-chain data including
    mining metrics, address analytics, block information, fee data, market
    indicators, supply metrics, exchange flows, and more.
servers:
  - url: https://api.alphractal.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /spot/timeframes:
    get:
      tags:
        - OHLCV Metadata
      summary: timeframes
      description: Retrieve OHLCV Metadata data for /spot/timeframes.
      parameters:
        - name: asset
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Cryptocurrency asset identifier (e.g. btc, eth, ada). Use lowercase
            ticker symbol.
          example: btc
        - name: exchange
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Optional exchange pin. Omit to probe the spot fallback-chain
            universe (any exchange, stablecoin/fiat quotes).
        - name: quote
          in: query
          schema:
            type:
              - string
              - 'null'
          description: >-
            Quote asset filter (default: USDT). Only applied with an explicit
            exchange.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpotTimeframeItem'
components:
  schemas:
    SpotTimeframeItem:
      type: object
      properties:
        timeframe:
          type:
            - string
            - 'null'
        last_time:
          type:
            - string
            - 'null'
          format: date-time
        is_recent:
          type: boolean
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key authentication. Include your API key in the X-Api-Key header for
        all requests.

````